Subject: bug#37221: 27.0.50; gnus fails to open connection post-NSM update

From: Robert Pluim <[email-masked]>
Date: Tue, 03 Sep 2019 22:16:39 +0200

>>>>> On Tue, 03 Sep 2019 13:26:27 -0500, Alex Branham <[email-masked]> said:
    >> Can you show us your Gnus configuration? Also, what is your
    >> 'network-security-level' set to?

    Alex> Sure thing, it's below. network-security-level is medium. If I do (setq
    Alex> nsm-trust-local-network t) then all seems to work as expected.

Oh, thatʼs interesting. Youʼre using (nnimap-stream network), which
will attempt STARTTLS with localhost, unless nsm-trust-local-network
is t. (nnimap-stream plain) will turn off the attempted STARTTLS
upgrade.

Could you try with nsm-trust-local-network nil, and
nnimap-record-commands t ? That should produce an "*imap log*" buffer
that might tell us more, perhaps with (setq debug-on-error t) for good
measure.

Iʼll admit Iʼm at a loss as to why the recent nsm changes would cause
this to start failing. Iʼm assuming thereʼs nothing interesting in
"*Messages*", and youʼre not prompted for anything?

Robert